---
title: "The environment's content erasures"
url: https://hexelstudio.com/docs/api/harness/retention/erasures
---

# The environment's content erasures

**GET** `/harness/erasures`

## Query parameters

- `task_id: optional string`

- `limit: optional integer`

  Default: `50`

## Headers

- `Authorization: string`

  `Bearer <token>`. A Hexel Studio access token for your organization.

- `X-Workspace-Id: string`

  The workspace the request acts in (`ws_...`). It never grants access by itself.

- `X-Environment-Id: string`

  The environment the request acts in (`env_...`). It never grants access by itself.

## Returns

`200` The erasures. (`object`)

- `erasures: array of Erasure`

  - `attempts: integer`

  - `cell_id: optional string`

  - `created_at: string`

  - `done_at: optional string`

  - `failed_reason: optional string`

  - `id: string`

  - `reason: string`

  - `requested_by: optional string`

  - `result: optional any`

    Any JSON value.

  - `run_ids: array of string`

  - `state: string`

  - `task_id: string`

## Errors

- `default` 

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/harness/erasures' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'X-Workspace-Id: X_WORKSPACE_ID' \
  --header 'X-Environment-Id: X_ENVIRONMENT_ID'
```

### Response (200)

```json
{
  "erasures": [
    {
      "attempts": 0,
      "cell_id": "string",
      "created_at": "2026-01-01T00:00:00Z",
      "done_at": "2026-01-01T00:00:00Z",
      "failed_reason": "string",
      "id": "string",
      "reason": "string",
      "requested_by": "string",
      "result": "string",
      "run_ids": [
        "string"
      ],
      "state": "string",
      "task_id": "string"
    }
  ]
}
```
